Bug 245611 - [exp-run] graphics/proj: Update to 7.1.1
Summary: [exp-run] graphics/proj: Update to 7.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-14 04:17 UTC by Wen Heping
Modified: 2020-11-17 09:27 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments
Update to 7.0.0 (7.32 KB, patch)
2020-04-14 04:17 UTC, Wen Heping
no flags Details | Diff
Proj 7.1.1 (7.27 KB, patch)
2020-10-24 07:07 UTC, Loïc Bartoletti
no flags Details | Diff
Proj 7.1.1 with portrevision bumped (18.84 KB, patch)
2020-10-24 07:09 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval? (wen)
Details | Diff
Proj 7.1.1 datum restored and option for data with a pkg-message (17.64 KB, patch)
2020-11-03 16:51 UTC, Loïc Bartoletti
no flags Details | Diff
Proj 7.1.1 datum restored and option for data with a pkg-message v2 (19.41 KB, patch)
2020-11-04 03:53 UTC, Loïc Bartoletti
no flags Details | Diff
Proj 7.1.1 datum restored and option for data with a pkg-message with UCL v3 (19.45 KB, patch)
2020-11-12 17:28 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2020-04-14 04:17:20 UTC
Created attachment 213382 [details]
Update to 7.0.0

Update to 7.0.0
Comment 1 Automation User 2020-04-14 04:46:08 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/135614963
Comment 2 Loïc Bartoletti freebsd_committer 2020-04-14 05:52:42 UTC
Hi,

FYI, there is a potential issue with proj7 on graphics/qgis https://lists.osgeo.org/pipermail/qgis-developer/2020-February/060259.html.

Can we test it manually before ship proj7?

Thanks.

Loïc
Comment 3 Wen Heping freebsd_committer 2020-04-14 06:49:17 UTC
(In reply to Loïc Bartoletti from comment #2)
I manually test some ports depends on proj, all build.
I did not test qgis because it is a big thing for my poudriere to compile it.
So I ask for a exp-run. 
With the result of exp-run I could decide whether to repocopy proj --> proj6 or
just hold the update.

wen
Comment 4 Rainer Hurling freebsd_committer 2020-04-14 07:15:55 UTC
Hi Wen, hi Loïc,

Thanks for investigating in the update. As far as I understand, the problem of QGIS with proj-7.0.0 is not solved until now. It is likely, that the port grahphics/qgis has a good chance to build with proj-7.0.0. The issue Loïc mentioned, is a runtime problem with proj_grid_get_info_from_database in Proj-7, not populating the needed results ...


Perhaps there is a second task, what needs some attention. I am wondering if proj-7.0.0 also needs to download and install proj-data-1.0.tar.gz[1]. Until version 6.x, the grid data in it was installed via 

DATUM_GRID_FILES=	proj-datumgrid-1.8.zip \
			proj-datumgrid-europe-1.3.zip \
			proj-datumgrid-north-america-1.2.zip \
			proj-datumgrid-oceania-1.0.zip \
			proj-datumgrid-world-1.0.zip


Not sure, if a complete download and install of proj-data-1.0.tar.gz is really needed. QGIS project is looking for another way, to only download portions of the grid data, when needed.

Thanks,
Rainer


[1] https://proj.org/download.html
Comment 5 Wen Heping freebsd_committer 2020-04-14 07:39:44 UTC
(In reply to Rainer Hurling from comment #4)
Thank you Rainer.

As my understand, upstream suggest user download proj-data-1.0.tar.gz manually with the new tool projsync.

If needed , I shall add it to distfiles, but it is a large file about 400M :)

wen
Comment 6 Rainer Hurling freebsd_committer 2020-04-14 08:36:46 UTC
(In reply to Wen Heping from comment #5)

Yes, in principle, downloading by the user only if needed, is the recommended way. But, the users understanding about this is probably not deep enough and some applications (not QGIS) may presume the data already installed ...

If I understand the discussions on QGIS dev lists right, they are thinking about an internal mechanism, to only download grid data just needed. This would be only within the QGIS world, not usable outside, for other apps. And no idea, if this will ever happen.


What about an OPTION in the graphics/proj port, to enable/disable the download and installation of the data file? With a big warning about the file size?
Comment 7 Wen Heping freebsd_committer 2020-04-14 08:47:26 UTC
(In reply to Rainer Hurling from comment #6)
Good idea !

wen
Comment 8 Antoine Brodin freebsd_committer 2020-05-02 07:50:10 UTC
The patch is incomplete,  you have to bump PORTREVISION of all ports depending on it when library version changes
Comment 9 Loïc Bartoletti freebsd_committer 2020-10-24 07:07:57 UTC
Created attachment 219026 [details]
Proj 7.1.1

graphics/proj: Update to 7.1.1

Wen, there is a new release of proj. Here, the new patch. 

Wen, Rainer, I tested with graphics/qgis and for my uses cases, proj seems to work. Sorry, I didn't take the time to test before.

I also built in poudriere (only 12amd64) all ports which depend of graphics/proj and there is no failure.
Comment 10 Loïc Bartoletti freebsd_committer 2020-10-24 07:09:57 UTC
Created attachment 219027 [details]
Proj 7.1.1 with portrevision bumped

Antoine, here is proj 7.1.1 with PORTREVISION bumped for all ports depending on it
Comment 11 Wen Heping freebsd_committer 2020-10-24 07:46:13 UTC
(In reply to Loïc Bartoletti from comment #9)
Hi,

   Thank your new patch to update proj to 7.1.1.
   Two suggestions:
   i) Currently there is no proj5 and proj6 in portstree, so CONFLICTS_INSTALL line is not needed.
   ii) Better create a option to download DATUM_GRID_FILES.

   And please feel free to take maintainership of this port.

wen
Comment 12 Rainer Hurling freebsd_committer 2020-10-24 07:51:43 UTC
(In reply to Wen Heping from comment #11)
Hi Loïc, hi Wen,

I also would vote for an option to download (all) DATUM_GRID_FILES.

pkg_message could explain, that instead their is also a way to manually download only parts of DATUM_GRID_FILES by using projsync.

ATM, I am testing proj-7.1.1 with graphics/saga and graphics/qgis. This will take a moment. I will report back.

And MANY thanks for the newest patch, Loïc :)
Comment 13 Rainer Hurling freebsd_committer 2020-10-24 08:25:50 UTC
First tests of math/saga and graphics/qgis with proj-7.1.1 seem to work fine.

I also tested projsync with 'projsync --source-id de' and it installs the wanted files:

#ll /home/rhurlin/.local/share/proj
total 76476
-rw-r--r--  1 rhurlin  user  -    49152  2020-10-24 09:37:39  cache.db
-rw-r--r--  1 rhurlin  user  -    24379  2020-10-24 09:36:20  de_adv_BETA2007.tif
-rw-r--r--  1 rhurlin  user  -      802  2020-10-24 09:36:20  de_adv_README.txt
-rw-r--r--  1 rhurlin  user  -  4250734  2020-10-24 09:36:36  de_geosn_NTv2_SN.tif
-rw-r--r--  1 rhurlin  user  -      610  2020-10-24 09:36:28  de_geosn_README.txt
-rw-r--r--  1 rhurlin  user  - 73022201  2020-10-24 09:37:37  de_lgl_bw_BWTA2017.tif
-rw-r--r--  1 rhurlin  user  -      579  2020-10-24 09:36:36  de_lgl_bw_README.txt
-rw-r--r--  1 rhurlin  user  -      446  2020-10-24 09:37:38  de_lgvl_saarland_README.txt
-rw-r--r--  1 rhurlin  user  -   547937  2020-10-24 09:37:39  de_lgvl_saarland_SeTa2016.tif
-rw-r--r--  1 rhurlin  user  -   263242  2020-10-24 09:30:06  files.geojson
Comment 14 Antoine Brodin freebsd_committer 2020-10-29 07:05:07 UTC
Exp-run looks fine
Comment 15 Loïc Bartoletti freebsd_committer 2020-11-03 16:51:17 UTC
Created attachment 219326 [details]
Proj 7.1.1 datum restored and option for data with a pkg-message

Wen, Rainer,

Here is the version with datum restored and data as an option. 

pkg-message comes from OpenBSD Readme http://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/devel/proj/pkg/README?rev=1.1&content-type=text/x-cvsweb-markup (thanks to Landry)
Comment 16 Rainer Hurling freebsd_committer 2020-11-03 18:04:17 UTC
(In reply to Loïc Bartoletti from comment #15)

Hi Loïc,

Thanks for the new patch :)

It seems pkg-message (under files) is missing?
Comment 17 Loïc Bartoletti freebsd_committer 2020-11-04 03:53:23 UTC
Created attachment 219345 [details]
Proj 7.1.1 datum restored and option for data with a pkg-message v2

with pkg-message.in :)
Comment 18 Loïc Bartoletti freebsd_committer 2020-11-04 06:23:59 UTC
(In reply to Antoine Brodin from comment #14)
Thank you Antoine.
Comment 19 Rainer Hurling freebsd_committer 2020-11-05 19:39:55 UTC
(In reply to Loïc Bartoletti from comment #17)

Thanks for the updated patch and sorry for the delay. Very busy :(


In the qa-stage the ports framework ()DEVELOPER=yes complains about:

====> Running Q/A tests (stage-qa)
Warning: /usr/ports/graphics/proj/work/pkg-message not in UCL format, will be shown on initial install only.
Warning: See https://www.freebsd.org/doc/en/books/porters-handbook/pkg-files.html#porting-message


Otherwise the port builds and installs well :)
Comment 20 Loïc Bartoletti freebsd_committer 2020-11-12 17:28:58 UTC
Created attachment 219603 [details]
Proj 7.1.1 datum restored and option for data with a pkg-message with UCL v3

pkg-message using UCL format.

Thanks Rainer. I had forgotten the UCL...
Comment 21 Loïc Bartoletti freebsd_committer 2020-11-17 08:37:37 UTC
(In reply to Wen Heping from comment #11)

> And please feel free to take maintainership of this port.

OK wen. Thanks.
Comment 22 commit-hook freebsd_committer 2020-11-17 09:24:21 UTC
A commit references this bug:

Author: lbartoletti
Date: Tue Nov 17 09:24:06 UTC 2020
New revision: 555543
URL: https://svnweb.freebsd.org/changeset/ports/555543

Log:
  graphics/proj: Update to 7.1.1

  - Add a pkg-message explaining how to access or sync datum grids from the CDN
    (disabled by default)
  - Add curl and tiff dependencies since proj can read datum grids from remote
    COG (Cloud Optimized Geotiff)
  - Take maintainer'ship (ok wen@)

  PR:		245611
  Submitted by:	wen (first version)
  Reviewed by:	wen, rhurlin
  Approved by:	wen
  Exp-run by:	antoine

Changes:
  head/astro/merkaartor/Makefile
  head/astro/qmapshack/Makefile
  head/cad/sumo/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/grass7/Makefile
  head/databases/postgis24/Makefile
  head/databases/postgis25/Makefile
  head/databases/postgis30/Makefile
  head/databases/spatialite/Makefile
  head/databases/spatialite-tools/Makefile
  head/devel/libght/Makefile
  head/graphics/R-cran-rgdal/Makefile
  head/graphics/gdal/Makefile
  head/graphics/libgeotiff/Makefile
  head/graphics/librasterlite/Makefile
  head/graphics/librasterlite2/Makefile
  head/graphics/libreatlas/Makefile
  head/graphics/mapserver/Makefile
  head/graphics/openorienteering-mapper/Makefile
  head/graphics/proj/Makefile
  head/graphics/proj/distinfo
  head/graphics/proj/files/
  head/graphics/proj/files/pkg-message.in
  head/graphics/proj/pkg-plist
  head/graphics/py-cartopy/Makefile
  head/graphics/py-pyproj/Makefile
  head/graphics/qgis/Makefile
  head/graphics/qgis-ltr/Makefile
  head/lang/fpc/Makefile
  head/math/PDL/Makefile
  head/math/R-cran-sf/Makefile
  head/math/octave-forge-octproj/Makefile
  head/math/saga/Makefile
  head/science/cdo/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/rubygem-rgeo-proj4/Makefile
Comment 23 Loïc Bartoletti freebsd_committer 2020-11-17 09:27:46 UTC
Committed, many thanks to you!

And thanks antoine for the exp-run.